#include <bits/stdc++.h>
using namespace std;

bool sortbysec( const pair< int, double > &a,
              const pair< int, double > &b ) {
    return ( a.second < b.second );
}

int main(){

    int i, N;
    long long int zbir;
    double temp, naj;
    scanf( "%d", &N );
    pair< int, double > niz[ N ];

    for( i = 0; i < N; i++ ){
        scanf( "%d %lf", &niz[ i ].first, &niz[ i ].second );
        zbir += niz[ i ].first;
    }
    sort( niz, niz + N, sortbysec );
    naj = zbir * ( niz[ 0 ].second / 100 );
    for( i = 1; i < N; i++ ){
        zbir -= niz[ i - 1 ].first;
        temp = zbir * ( niz[ i ].second / 100 );
        naj = max( naj, temp );
    }

    printf( "%lf\n", naj );

}